Subject: Re: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Sep 2021 18:28:37 +0300

> Cc: [email-masked], [email-masked]
> From: Ken Brown <[email-masked]>
> Date: Sun, 19 Sep 2021 10:27:27 -0400
> 
> > I don't think I understand: rebased and added how? manually?
> 
> No, by a script that Cygwin would have to create and that Emacs would call.  We 
> already have scripts that do system-wide rebasing (and that are run 
> automatically, without user intervention).  The question would be how to extend 
> this to per-user rebasing.  Achim and I have just begun discussing this on the 
> Cygwin mailing lists (currently the cygwin-apps list).  I think it's doable with 
> some effort.
> 
> In the meantime, is it OK if I install my patch to enable building with native 
> compilation?  That would simplify experimentation.

Yes, it's okay to install that, but it's a band-aid at best, and we'd
like to have the complete solution in Emacs before we release v28.1.
Is that feasible?

Thanks.